* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	scroll-behavior: smooth;
}

body {
	font-family: 'montserrat', sans-serif;
	background-color: #333d51;

	#root {
		height: 100vh;
	}

	#portal {
		display: flex;
	}

	.modal {
		display: flex;
		gap: 15px;
		grid-template-columns: 1fr 1fr;
		position: fixed;
		top: 50%;
		left: 50%;
		transform: translate(-50%, -50%);
		background-color: ghostwhite;
		padding: 50px;
		z-index: 1000;
		width: 1000px;
		border-radius: 15px;
		height: 600px;

		@media (max-width: 768px) {
			flex-direction: column;
			width: 300px;
			height: 625px;
			button {
				display: none;
			}
		}

		.modalMain {
			@media (max-width: 768px) {
				font-size: 0.5em;
				.react-stars {
					display: none;
				}
			}
			button {
				align-self: flex-end;
				margin-right: 2em;
			}

			h2 {
				font-size: 3em;
				font-weight: 700;
			}

			p {
				&:first-of-type {
					font-size: 1em;
					line-height: 0.7em;
					font-style: italic;
				}

				&:nth-of-type(2) {
					line-height: 0.7em;
					font-style: italic;
				}

				&:nth-of-type(3) {
					line-height: 0.7em;
					font-style: italic;
				}

				&:last-of-type {
					font-size: 1.3em;
				}
			}
		}

		img {
			@media (max-width: 768px) {
				width: 100%;
			}
			height: 100%;
			border-radius: 3px;
			box-shadow: 0 1px 5px black;
		}

		.closeModal {
			cursor: pointer;
			position: absolute;
			top: 20px;
			right: 20px;
			width: 32px;
			height: 32px;
			z-index: 10;
		}
	}

	.form {
		form {
			width: 100%;
			display: flex;
			gap: 5px;
			align-items: center;
			flex-direction: column;

			textarea {
				resize: none;
				height: 2.5em;
				width: 85%;
				font-size: 1.1em;

				&:nth-of-type(5) {
					height: 8em;
				}
				&:nth-of-type(6) {
					height: 7em;
				}
			}

			.buttons {
				button {
					width: 5em;
					margin: 20px 20px 0 20px;
				}
			}
		}
	}

	.overlay {
		position: fixed;
		top: 0;
		left: 0;
		right: 0;
		bottom: 0;
		background-color: black;
		opacity: 0.7;
		z-index: 1000;
	}
}

.App {
	height: 100vh;
	text-align: center;

	.searchbox {
		background-color: #434853;
		height: 75px;
		position: sticky;
		display: flex;
		justify-content: center;
		align-items: center;
		top: 0;
		padding: 10px 0;
		box-shadow: 0 1px 5px black;

		img {
			position: absolute;
			left: 5%;
			height: 85%;
		}

		> input {
			height: 2.5em;
			padding-left: 10px;
			background-color: ghostwhite;
			border: none;
			width: 50%;
		}
	}

	.Movies {
		display: flex;
		gap: 10px 20px;
		padding: 25px 50px;
		justify-content: center;
		flex-wrap: wrap;

		.movie-box {
			color: white;
			background-color: #434853;
			box-shadow: 0 1px 5px black;
			width: 220px;
			border-radius: 10px;
			display: flex;
			align-items: center;
			flex-direction: column;
			gap: 2px;

			&:hover {
				color: #282c34;
				cursor: pointer;
				background-color: ghostwhite;
			}

			img {
				padding: 3px;
				border-radius: 10px 10px;
				height: 100%;
				width: 100%;
			}

			.title {
				font-size: 1.25em;
				padding: 2px;
			}
		}
	}

	nav {
		position: sticky;
		bottom: 15px;
		.pagination {
			display: flex;
			justify-content: center;
		}
	}
}
